%define major		6
%define libname		%mklibname xp %{major}
%define develname	%mklibname xp -d

Name: libxp
Summary: X Print Library
Version: 1.0.3
Release: %mkrel 4
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXp-%{version}.tar.bz2
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xau) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
libXp provides public APIs to allow client applications to render to
non-display devices.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  X Print Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
libXp provides public APIs to allow client applications to render to
non-display devices.

%files -n %{libname}
%{_libdir}/libXp.so.%{major}
%{_libdir}/libXp.so.%{major}.*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xp-static-devel < 1.0.2-2

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXp.so
%{_libdir}/pkgconfig/xp.pc
%{_mandir}/man3/Xp*.3*
%{_mandir}/man3/libXp.3*

#-----------------------------------------------------------

%prep
%setup -q -n libXp-%{version}

%build
%configure --disable-static
%make

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.0.3-4.mga8
+ Revision: 1514668
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-3.mga7
+ Revision: 1299263
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 1.0.3-2.mga6
+ Revision: 956003
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.0.3-1.mga6
+ Revision: 837525
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 751204
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 681892
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 532804
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.2-2.mga4
+ Revision: 469641
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri May 31 2013 tv <tv> 1.0.2-1.mga4
+ Revision: 433593
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-3.mga3
+ Revision: 358624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 20 2012 fwang <fwang> 1.0.1-2.mga2
+ Revision: 211118
- remove .la file
- enable static

* Tue Feb 01 2011 tv <tv> 1.0.1-1.mga1
+ Revision: 45520
- new release

* Tue Jan 11 2011 pterjan <pterjan> 1.0.0-9.mga1
+ Revision: 6046
- Drop obsolete scriptlets
- imported package libxp


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-9mdv2011.0
+ Revision: 602622
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-8mdv2010.1
+ Revision: 520969
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-7mdv2010.0
+ Revision: 425931
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-6mdv2009.0
+ Revision: 223080
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.0-5mdv2008.1
+ Revision: 151689
- Update BuildRequires and rebuild.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 08 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-4mdv2008.0
+ Revision: 60440
- rebuild for 2008
- new devel policy
- spec clean


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

